### Function

# Gegl ParallelDistributeFunc

#### Declaration

    void
    (* GeglParallelDistributeFunc) (
      gint i,
      gint n,
      gpointer user_data
    )

#### Description [src]

Specifies the type of function passed to gegl_parallel_distribute().

The function should process the `i`-th part of the data, out of `n` equal parts. `n` may be less-than or equal-to the `max_n` argument passed to gegl_parallel_distribute().

#### Parameters

`i`

  Type: `gint`

  The current thread index, in the range [0,`n`).

`n`

  Type: `gint`

  The number of threads execution is distributed across.

`user_data`

  Type: `gpointer`

  User data pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.